> For the complete documentation index, see [llms.txt](https://docs.plutu.ly/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plutu.ly/sdks/plutu-laravel.md).

# Plutu Laravel

Plutu Laravel is the official package that builds upon the Plutu PHP package to simplify the integration of Plutu services into Laravel applications.

{% hint style="info" %}
**To access detailed documentation and comprehensive information about Plutu Laravel, please refer to the** [**Plutu Laravel**](https://github.com/getplutu/plutu-laravel) **Github repository.**
{% endhint %}

## Getting started

### Requirements

* PHP version 8.0 or higher
* Laravel version 9 or higher"

### Installation

You can install the Plutu Laravel package via Composer by running the following command:

```php
composer require plutu/plutu-laravel
```

### Publish Configuration

To publish the configuration file of Plutu Laravel package, run the following command:

```php
php artisan vendor:publish --provider="PlutuLaravel\Providers\PlutuServiceProvider"
```

This command will publish the `plutu.php` configuration file to the config directory of your application.

You can then configure the package by setting the following environment variables in your `.env` file:

```php
PLUTU_API_KEY=your_api_key
PLUTU_ACCESS_TOKEN=your_access_token
PLUTU_SECRET_KEY=your_secret_key
```

Make sure to replace your\_api\_key, your\_access\_token, and your\_secret\_key with your own API credentials provided by [Plutu](https://plutu.ly/) in your merchant account.

Alternatively, you can directly edit the config/plutu.php configuration file that was published to your application.

### Examples

{% hint style="info" %}
You can find examples in the package's main documentation here: [Plutu PHP](https://github.com/getplutu/plutu-php/blob/main/examples.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.plutu.ly/sdks/plutu-laravel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
